Bug 496811 - bootchart throws exception when rasterizing
bootchart throws exception when rasterizing
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: bootchart (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-21 05:43 EDT by Peter F. Patel-Schneider
Modified: 2011-02-18 07:35 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-18 07:35:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/bootchart.tgz that causes the exception (40.97 KB, application/x-compressed-tar)
2009-04-21 05:43 EDT, Peter F. Patel-Schneider
no flags Details

  None (edit)
Description Peter F. Patel-Schneider 2009-04-21 05:43:25 EDT
Created attachment 340491 [details]
/var/log/bootchart.tgz that causes the exception

Description of problem:

bootchart throws an exception when trying to rasterize the log

Version-Release number of selected component (if applicable):

0.9 (up to date as of 21 April 2009)

How reproducible:

always

Steps to Reproduce:
1. install bootchart (on Thinkpad T60p with SSD)
2. reboot to generate log
3. run bootchart
  
Actual results:

idefix 58> bootchart
Parsing /var/log/bootchart.tgz
Exception in thread "main" java.awt.image.RasterFormatException: (x + width) is outside raster
        at sun.awt.image.IntegerInterleavedRaster.createWritableChild(IntegerInterleavedRaster.java:467)
	at java.awt.image.BufferedImage.getSubimage(BufferedImage.java:1173)
	at org.bootchart.renderer.ImageRenderer.render(ImageRenderer.java:631)
	at org.bootchart.renderer.PNGRenderer.render(PNGRenderer.java:44)
	at org.bootchart.Main.render(Main.java:307)
	at org.bootchart.Main.main(Main.java:155)

Expected results:

bootchart generates image

Additional info:

Everything is completely up to date from rawhide as of this morning.

idefix 60> which bootchart
/usr/bin/bootchart
idefix 61> bootchart --version
bootchart 0.9
idefix 62> which java
/usr/bin/java
Comment 1 Bug Zapper 2009-06-09 10:17:05 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-04-27 09:50:54 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Peter F. Patel-Schneider 2010-05-01 11:21:50 EDT
I just experienced this bug in F13 Beta.
Comment 4 Harald Hoyer 2011-02-18 07:35:38 EST
fixed in Fedora 14

Note You need to log in before you can comment on or make changes to this bug.